*============================================================================
* CDROM Equates
CS0	EQU	0	; /CS0	  Port C
CS1	EQU	1	; /CS1	  Port C
WR	EQU	2	; /WR	  Port C
RD	EQU	3	; /RD	  Port C

ATAPI_NOP		EQU	$00
ATAPI_PACKET_CMD	EQU	$A0
ATAPI_IDENTIFY		EQU	$A1
SERVICE			EQU	$A2
SOFT_RESET_CMD		EQU	$08
START_STOP_EJECT	EQU	$1B
INQUIRY			EQU	$12
PLAY_AUDIO_MSF		EQU	$47
PLAY_AUDIO_LBA		EQU	$45
STOP			EQU	$4E
READ_DATA10		EQU	$28
READ_DATA12		EQU	$A8
TEST_UR			EQU	$00
READ_TOC		EQU	$43
MODE_SENSE              EQU	$5A
SUBCHAN			EQU	$42

BYTE_COUNT_LOW		EQU	$04
BYTE_COUNT_HIGH		EQU	$05
DRIVE_SEL		EQU	$06
*============================================================================
	ORG	$0050      ; Storage for applications starts here

irqcount        RMB    1
irqflag         RMB    1         

binl   		RMB    1
binh   		RMB    1
bcd0   		RMB    1
bcd1   		RMB    1
bcd2   		RMB    1

dvdh        	RMB    1        ; dividend high
dvdl        	RMB    1        ; dividend low
dvsrh       	RMB    1        ; divisor high
dvsrl       	RMB    1        ; divisor low
temph       	RMB    1	; temp in UDIV	
templ       	RMB    1	; temp in UDIV	
counter         RMB    1        ; temp counter

status          RMB    1         
PortAddress     RMB    1         
pcount          RMB    1         
cmdsave         RMB    1         
byte_low        RMB    1         
byte_high       RMB    1         
datasave        RMB    1         
buffer          RMB    16        
wfrcount        RMB    1
sense           RMB    1
sense_error     RMB    1
wready_error    RMB    1
CBUFF_Count	RMB    1
CBUFF_In_Ptr	RMB    1
CBUFF_Out_Ptr	RMB    1
vcount  	RMB    1
errlog  	RMB    1
flength  	RMB    1
maxrecords  	RMB    1
recordlength  	RMB    1
wcount  	RMB    1
bcount  	RMB    1
bindex  	RMB    1
LBA_Count	RMB    2
LBA_Adr         RMB    4
Fname           RMB    16

length		RMB    2
Mval		RMB    1
Sval		RMB    1
Fval		RMB    1
track		RMB    1
track_count	RMB    1
track_ptr	RMB    1

sw1             RMB    2        ; Switch 1
*  0  Switch 1 Debounce Register
*  1  d0=current state, d1=old state, d2=positive transition

sw2             RMB    2        ; Switch 2
*  0  Switch 1 Debounce Register
*  1  d0=current state, d1=old state, d2=positive transition

sw3             RMB    2        ; Switch 3
*  0  Switch 1 Debounce Register
*  1  d0=current state, d1=old state, d2=positive transition

sw4             RMB    2        ; Switch 4
*  0  Switch 1 Debounce Register
*  1  d0=current state, d1=old state, d2=positive transition

sw5             RMB    2        ; Switch 5
*  0  Switch 1 Debounce Register
*  1  d0=current state, d1=old state, d2=positive transition

sw6             RMB    2        ; Switch 6
*  0  Switch 1 Debounce Register
*  1  d0=current state, d1=old state, d2=positive transition

swtemp		RMB	3	; for switch routines

address1        RMB    2	  ; high, low for ,X addressing
address2        RMB    2	  ; high, low for ,X addressing
mask            RMB    1
newtrack        RMB    1
playmode        RMB    1
chtrack		RMB    1
wait_status     RMB    1
track_save      RMB    1

LBA_Length	RMB    4

lastr:
ramsize EQU     (lastr-RAMstart)
*-----------------------------------------------------------------------------
	ORG	$0100
* ($0100) If the toc is only 15 tracks, it only takes 45 bytes) 
cbuffer         RMB    256	
*=============================================================================
